Triggered when the verification state of a connected profile changes.
A profile's verification state can be verified or not_verified.
- If the state is
verified, then the user is ready to make payments using Wise. - If the state is
not_verified, then we advise not to initiate any transfers with the user's access token as the payments will not be processed until the verification is completed.
- Event type:
profiles#verification-state-change - Profile level subscriptions: Not Supported
- Application level subscriptions: Supported
Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.
See the Webhooks guide for setup instructions, signature verification, and best practices.
RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.
Example:t7FMhk3OARMgwqz0LJXO...
Version of the event schema. Determined by the schema_version on your webhook subscription.
Value:"4.0.0"
Example:"4.0.0"
Discriminator
ID of the webhook subscription that triggered this event.
Example:"01234567-89ab-cdef-0123-456789abcdef"
- Production Environmenthttps://api.wise.com/2026Q4/profiles#verification-state-change
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles#verification-state-change
{ "schema_version": "4.0.0", "subscription_id": "01234567-89ab-cdef-0123-456789abcdef", "event_type": "profiles#verification-state-change", "sent_at": "2020-01-01T12:34:56.123Z", "data": { "resource": { "type": "profile", "id": 111 }, "current_state": "verified", "occurred_at": "2020-01-01T12:34:56.789Z" } }
Response
{ "status": "ok" }